assigns user_profile
POST /api/v1/user/profile/assign
Operation id: post__api_v1_user_profile_assign
Description
Assign existing user_profile to a customer, site or user. If empty "name" provided, existing profile assignment will be removed The tgt_type values are: -1 - customer, 0 - user - 2 site, 3 - region The tgt_name is not needed if tgt_type == -1 (customer)
Tags: UserProfile
Parameters
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
tenant_id | string | Yes | tenant ID |
Security
- PhoenixToken-Authorization (apiKey)
- PhoenixToken-Authorization
Responses
200 — OK
Request body
AssignProfile JSON
Required: Yes
application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
profile_name | string | No | |
tgt_name | string | No | |
tgt_type | integer | No |
{
"type": "object",
"properties": {
"profile_name": {
"type": "string"
},
"tgt_name": {
"type": "string"
},
"tgt_type": {
"type": "integer",
"enum": [
0,
1,
2,
3,
4,
5,
6,
7,
10
]
}
}
}